Create top-up invoice
curl --request POST \
--url https://proxies.vision/api/payments/invoice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gb_amount": 10,
"usd_amount": 25,
"currency": "USDT_TRC20",
"order_type": "balance_topup"
}
'import requests
url = "https://proxies.vision/api/payments/invoice"
payload = {
"gb_amount": 10,
"usd_amount": 25,
"currency": "USDT_TRC20",
"order_type": "balance_topup"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gb_amount: 10,
usd_amount: 25,
currency: 'USDT_TRC20',
order_type: 'balance_topup'
})
};
fetch('https://proxies.vision/api/payments/invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ref": "Q3TW8HZK",
"pay_address": "TXk…9fQ",
"pay_amount": "28.70",
"currency": "USDT_TRC20",
"amount_usd": 25,
"expires_at": "2026-11-20T12:35:00Z"
}Billing
Create top-up invoice
A crypto invoice that adds USD to your balance once paid. Use order_type: balance_topup and usd_amount.
Permission: buy
POST
/
api
/
payments
/
invoice
Create top-up invoice
curl --request POST \
--url https://proxies.vision/api/payments/invoice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gb_amount": 10,
"usd_amount": 25,
"currency": "USDT_TRC20",
"order_type": "balance_topup"
}
'import requests
url = "https://proxies.vision/api/payments/invoice"
payload = {
"gb_amount": 10,
"usd_amount": 25,
"currency": "USDT_TRC20",
"order_type": "balance_topup"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gb_amount: 10,
usd_amount: 25,
currency: 'USDT_TRC20',
order_type: 'balance_topup'
})
};
fetch('https://proxies.vision/api/payments/invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ref": "Q3TW8HZK",
"pay_address": "TXk…9fQ",
"pay_amount": "28.70",
"currency": "USDT_TRC20",
"amount_usd": 25,
"expires_at": "2026-11-20T12:35:00Z"
}Body
application/json
Response
200 - application/json
OK

